Subject: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Jun 2014 22:58:46 +0300

> From: Eric Froemling <[email-masked]>
> Date: Fri, 27 Jun 2014 10:30:04 -0700
> Cc: Eli Zaretskii <[email-masked]>,
>  [email-masked]
> 
> I generally run into the slowdown maybe once every half-hour during real-world usage; a common trigger seems to be mouse clicks, drags, or scrolls, though I haven’t been able to pin down any predictable repro. cases aside from the shake-the-divider one.
> 
> As a janky workaround, I’ve found that switching to a different desktop and back during a slow redraw allows all the buffered draws to go through instantly; not sure if that implies anything useful.

I know almost nothing about this stuff, but it surely smells like some
issue with the backend, not with Emacs.